aboutsummaryrefslogtreecommitdiffstats
path: root/latex-fitch/watch
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xlatex-fitch/watch21
1 files changed, 21 insertions, 0 deletions
diff --git a/latex-fitch/watch b/latex-fitch/watch
new file mode 100755
index 0000000..8dca4f7
--- /dev/null
+++ b/latex-fitch/watch
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+[ -f fitch.sty ] && rm fitch.sty
+
+wget 'http://folk.uio.no/johanw/fitch.sty' -O fitch.sty >/dev/null 2>/dev/null
+
+if [ $? = 0 ]; then
+ [ -f unfetchable ] && rm unfetchable
+ md5sum fitch.sty > new-sum
+ touch sum
+ if [ "$(cat sum)" = "$(cat new-sum)" ]; then
+ rm new-sum
+ else
+ mv new-sum sum
+ echo 'latex-fitch' '('"$(cat sum)"')'
+ fi
+elif [ ! -f unfetchable ]; then
+ touch unfetchable
+ echo 'latex-fitch (unfetchable)'
+fi
+